<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>

		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div id="inner_content">
					<h2>Bejelentkezés után tölteni kell! bemutatói</h2>
					<p><a href="#" class="button"><span>Új bemutató létrehozása</span></a></p>
					<ul class="lista">
					<!-- Dinamikus tartalom kezdete: bemutatólista -->
<?php

$mysqli = new mysqli('localhost:5030', 'dyss', 'jelszo', 'dyss');
$mysqli->query('set names utf8');
	
$felhasznalo_id = 1;
$cim = 'bem';

$q = 'select id, cim, leiras, indexfajl, megtekintes_db, publikus, letrehozas_datuma 
		from bemutato
		where cim like ? and
			felhasznalo_id = ?';
$stmt = $mysqli->prepare($q);
$stmt->bind_param('si', $cim, $felhasznalo_id);
$felhasznalo_id = 1;
$cim = "%{$cim}%";
$stmt->execute();
//kliens oldali buffereleshez:
//$stmt->store_result(); 

$stmt->bind_result($id, $cim, $leiras, $indexfajl, $megtekintes_db, $publikus, $letrehozas_datuma);

while ($sor = $stmt->fetch()) {
	$publikus = $publikus ? 'Igen' : 'Nem';
	echo <<<VEGE
						<li>
							<div class="fo">
								<a href="#">
									<img src="{$indexfajl}" /><br />
								</a>
								<div class="info">
									<h4>{$cim}</h4>
									<p class="kisbetu">{$leiras}</p>
									<p class="kisbetu">
										Megtekintések: {$megtekintes_db}<br />
										Publikus: {$publikus}<br />
										Létrehozva: {$letrehozas_datuma}
									</p>
								</div>
							</div>
							<div class="funkciok">
								<ul>
									<li><a href="#">Megtekint</a></li>
									<li><a href="#">Szerkeszt</a></li>
									<li><a href="#">Töröl</a></li>
								</ul>
							</div>
						</li>

VEGE;
}

$stmt->free_result();
$mysqli->close();

?>
					<!-- Dinamikus tartalom vége: bemutatólista -->
					</ul>
					<div class="separator"></div>
				</div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
