<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div id="inner_content">
					<h2>Bejelentkezés után tölteni kell! bemutatói</h2>
					<p><a href="#" class="button"><span>Új bemutató létrehozása</span></a></p>
					<ul class="lista">
					<!-- Dinamikus tartalom kezdete: bemutatólista -->
<?php

function adatbazis_hiba($mysqli) {
	die('Adatbázis hiba (' . $mysqli->errno . ') : ' . $mysqli->error);
//	Vagy itt lehetne átirányítás is egy hibaoldalra
//	header('Location: error.php');
//	exit();
}

$mysqli = @new mysqli('localhost', 'dyss', 'jelszo', 'dyss');
if (mysqli_connect_errno()) {
    die('Kapcsolódási hiba (' . mysqli_connect_errno() . ') : ' . mysqli_connect_error());
}
// Az alábbi kód bizonyos PHP verzió fölött működik:
//if ($mysqli->connect_errno) {
//    die('Kapcsolódási hiba (' . $mysqli->connect_errno . ') : ' . $mysqli->connect_error);
//}

if (!@$mysqli->query('set names utf8')) {
	die('Adatbázis hiba (' . $mysqli->errno . ') : ' . $mysqli->error);
	// Vagy definiálhatunk egy külön függvényt
//	adatbazis_hiba($mysqli);
}
// Így is működhet, hiba esetén az or kifejezés másik oldala is kiértékelődik:
//$mysqli->query('set namess utf8') or die('Adatbázis hiba (' . $mysqli->errno . ') : ' . $mysqli->error);
// Vagy külön függvénnyel:
//$mysqli->query('set namess utf8') or adatbazis_hiba($mysqli);
	
$q = 'select * from bemutato';
$result = @$mysqli->query( $q );
if (!$result) {
	adatbazis_hiba($mysqli);
}
	
while ($sor = $result->fetch_assoc()) {
	$sor['publikus'] = $sor['publikus'] ? 'Igen' : 'Nem';
	echo <<<VEGE
						<li>
							<div class="fo">
								<a href="#">
									<img src="{$sor['indexfajl']}" /><br />
								</a>
								<div class="info">
									<h4>{$sor['cim']}</h4>
									<p class="kisbetu">{$sor['leiras']}</p>
									<p class="kisbetu">
										Megtekintések: {$sor['megtekintes_db']}<br />
										Publikus: {$sor['publikus']}<br />
										Létrehozva: {$sor['letrehozas_datuma']}
									</p>
								</div>
							</div>
							<div class="funkciok">
								<ul>
									<li><a href="#">Megtekint</a></li>
									<li><a href="#">Szerkeszt</a></li>
									<li><a href="#">Töröl</a></li>
								</ul>
							</div>
						</li>

VEGE;
}

$result->free();
if (!@$mysqli->close()) {
	adatbazis_hiba($mysqli);
}
?>
					<!-- Dinamikus tartalom vége: bemutatólista -->
					</ul>
					<div class="separator"></div>
				</div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
